Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr286.taglib
Class DefineObjects286TagTEI

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          org.jboss.portal.portlet.impl.jsr286.taglib.DefineObjects286TagTEI

    public class DefineObjects286TagTEI

extends javax.servlet.jsp.tagext.TagExtraInfo

Version:
  : 0.1 $
Author:
  Boleslaw Dawidowicz

Field Summary
`static java.lang.String` | `actionRequestVariableName`
`static java.lang.String` | `actionResponseVariableName`
`static java.lang.String` | `eventRequestVariableName`
`static java.lang.String` | `eventResponseVariableName`
`static java.lang.String` | `portletConfigVariableName`
`static java.lang.String` | `portletPreferencesValuesVariableName`
`static java.lang.String` | `portletPreferencesVariableName`
`static java.lang.String` | `portletSessionScopeVariableName`
`static java.lang.String` | `portletSessionVariableName`
`static java.lang.String` | `renderRequestVariableName`
`static java.lang.String` | `renderResponseVariableName`
`static java.lang.String` | `resourceRequestVariableName`
`static java.lang.String` | `resourceResponseVariableName`

Constructor Summary
`DefineObjects286TagTEI()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, isValid, setTagInfo, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletConfigVariableName

    public static final java.lang.String portletConfigVariableName

See Also:
  Constant Field Values

### renderRequestVariableName

    public static final java.lang.String renderRequestVariableName

See Also:
  Constant Field Values

### renderResponseVariableName

    public static final java.lang.String renderResponseVariableName

See Also:
  Constant Field Values

### actionRequestVariableName

    public static final java.lang.String actionRequestVariableName

See Also:
  Constant Field Values

### actionResponseVariableName

    public static final java.lang.String actionResponseVariableName

See Also:
  Constant Field Values

### resourceRequestVariableName

    public static final java.lang.String resourceRequestVariableName

See Also:
  Constant Field Values

### resourceResponseVariableName

    public static final java.lang.String resourceResponseVariableName

See Also:
  Constant Field Values

### eventRequestVariableName

    public static final java.lang.String eventRequestVariableName

See Also:
  Constant Field Values

### eventResponseVariableName

    public static final java.lang.String eventResponseVariableName

See Also:
  Constant Field Values

### portletSessionVariableName

    public static final java.lang.String portletSessionVariableName

See Also:
  Constant Field Values

### portletSessionScopeVariableName

    public static final java.lang.String portletSessionScopeVariableName

See Also:
  Constant Field Values

### portletPreferencesVariableName

    public static final java.lang.String portletPreferencesVariableName

See Also:
  Constant Field Values

### portletPreferencesValuesVariableName

    public static final java.lang.String portletPreferencesValuesVariableName

See Also:
  Constant Field Values

Constructor Detail

### DefineObjects286TagTEI

    public DefineObjects286TagTEI()

Method Detail

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Overrides:
    `getVariableInfo` in class `javax.servlet.jsp.tagext.TagExtraInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.